# Uses of Class
javafx.scene.control.skin.TableColumnHeader

Packages that use TableColumnHeader
Package
Description
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of TableColumnHeader in javafx.scene.control.skin

Subclasses of TableColumnHeader in javafx.scene.control.skin
Modifier and Type
Class
Description
`class`
`NestedTableColumnHeader`
This class is used to construct the header of a TableView.
Methods in javafx.scene.control.skin that return TableColumnHeader
Modifier and Type
Method
Description
`protected TableColumnHeader`
NestedTableColumnHeader.`createTableColumnHeader(TableColumnBase col)`
Creates a new TableColumnHeader instance for the given TableColumnBase instance.
`protected TableColumnHeader`
TableHeaderRow.`getReorderingRegion()`
Returns the current `TableColumnHeader` being moved during reordering.
Methods in javafx.scene.control.skin that return types with arguments of type TableColumnHeader
Modifier and Type
Method
Description
`final ObservableList<TableColumnHeader>`
NestedTableColumnHeader.`getColumnHeaders()`
Returns an unmodifiable list of the `TableColumnHeader` instances that are children of this NestedTableColumnHeader.
Methods in javafx.scene.control.skin with parameters of type TableColumnHeader
Modifier and Type
Method
Description
`protected void`
TableHeaderRow.`setReorderingRegion(TableColumnHeader reorderingRegion)`
Sets the `TableColumnHeader` that is being moved during a reordering operation.